Package com.independentsoft.office.spreadsheet.pivotTables

# Class Item

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.Item

public class Item extends Object
The Class Item.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Item()`
  Instantiates a new item.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Item`
  `clone()`
  `int`
  `getDataFieldIndex()`
  Gets the data field index.
  `List<SharedItemIndex>`
  `getItems()`
  Gets the items.
  `int`
  `getRepeatItemCount()`
  Gets the repeat item count.
  `PivotItemType`
  `getType()`
  Gets the type.
  `void`
  `setDataFieldIndex​(int dataFieldIndex)`
  Sets the data field index.
  `void`
  `setRepeatItemCount​(int repeatItemCount)`
  Sets the repeat item count.
  `void`
  `setType​(PivotItemType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Item

    public Item()
    Instantiates a new item.

- ## Method Details

  - ### clone

    public Item clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getItems

    public List<SharedItemIndex> getItems()
    Gets the items.
    Returns:
      the items

  - ### getDataFieldIndex

    public int getDataFieldIndex()
    Gets the data field index.
    Returns:
      the data field index

  - ### setDataFieldIndex

    public void setDataFieldIndex​(int dataFieldIndex)
    Sets the data field index.
    Parameters:
      `dataFieldIndex` - the new data field index

  - ### getRepeatItemCount

    public int getRepeatItemCount()
    Gets the repeat item count.
    Returns:
      the repeat item count

  - ### setRepeatItemCount

    public void setRepeatItemCount​(int repeatItemCount)
    Sets the repeat item count.
    Parameters:
      `repeatItemCount` - the new repeat item count

  - ### getType

    public PivotItemType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(PivotItemType type)
    Sets the type.
    Parameters:
      `type` - the new type